#include "kernel/types.h"
#include "kernel/stat.h"
#include "user/user.h"

int
main(int argc, char *argv[])
{
  if(argc < 2){
    fprintf(2, "Usage: rmdir directory...\n");
    exit(1);
  }

  for(int i = 1; i < argc; i++){
    if(rmdir(argv[i]) < 0){
      fprintf(2, "rmdir: %s failed to remove\n", argv[i]);
      exit(1);
    }
  }

  exit(0);
}