#include "kernel/types.h"
#include "kernel/stat.h"
#include "user/user.h"

int main(int argc, char *argv[])
{
    if (argc < 3)
    {
        fprintf(2, "Usage: setpriority pidnum priority\n");
        exit(1);
    }
    
    int pid = atoi(argv[1]);
    int priority = atoi(argv[2]);

    if(priority < 0 || priority > 31)
    {
        fprintf(2, "priority num error\n");
        exit(0);
    }
    else
    {
        setpriority(pid, priority);
    }

    exit(0);
}
